[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplicationProperties.SetOnQueryEndSession

Sets the value for the OnQueryEndSession property.

## Declaration

Source position: forms.pp line 1849

`protected procedure TApplicationProperties.SetOnQueryEndSession(`
`const AValue: TQueryEndSessionEvent`
`);`

## Arguments

`AValue` |  | New value for the property.

## See also

TApplicationProperties.OnQueryEndSession |  | Event handler signalled to determine if the current session be be ended, and the application can be closed.